#SPEC by Julien Catalano
%define name wormux

%define version 0.4.0
%define release 2mdk

%define title   Wormux
%define longtitle Free (Libre) clone of Worms from Team17
%define repertoiresrc src

Summary:        %longtitle
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Games/Arcade
Url:		http://www.haypocalc.com/wormux/

Source0:        http://download.gna.org/wormux/%name-src-%version.tar.bz2
Patch0:         %name-%version-installfix.patch.bz2 
Patch1:         %name-%version-mdkdirfix.patch.bz2 
# Make 3 icons %name-{16,32,48}.png and then tar cjf %name-icons.tar.bz2 *png
Source1:        %name-icons.tar.bz2

BuildRoot:      %_tmppath/%{name}-%{version}-%{release}-buildroot

Buildrequires: libclanlib-devel libxml++1.0_1-devel


%description
I think that you all know the famous game Worms Armageddon or 
Worms World Party ? So, Wormux is a clone of this game, but it's
a free (libre) software ! It's written in C++ language with 
ClanLib graphic library.

Wormux is already fully playable with two human players.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
# unpack icons:
%setup -q -T -D -a1 -n %{name}


%build
cd %repertoiresrc
%make release DIR=%_prefix

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir}
install -D -m 755 %{name} $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/
cp -R donnee/* $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/
find  $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/ -type f | xargs chmod 0644
find  $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/ -type d | xargs chmod 0755
# icon
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): \
command="%{_gamesbindir}/%{name}" \
needs="X11" \
icon="%{name}.png" \
section="More applications/Games/Arcade" \
title="%{title}" \
longtitle="%{longtitle}"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt
%doc doc/*

%{_gamesbindir}/%name
%{_gamesdatadir}/%name
%_menudir/%name

%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Tue Aug 17 2004 Michael Scherer <misc@mandrake.org> 0.4.0-2mdk 
- fix BuildRequires
- clean BuildRoot

* Sat Jul 03 2004 Michael Scherer <misc@mandrake.org> 0.4.0-1mdk
- some fixs to spec file
- from Julien Catalano <julien.catalano@free.fr>
  o First Mandrake package
